%define name    autopano-sift-C
%define version 2.5.1
%define release %mkrel 5

%define destdir %{_libdir}/%{name}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        SIFT Feature Detection implementation
License:        GPL
Group:          Graphics/Utilities
Url:            http://hugin.sourceforge.net/
Source0:        http://sourceforge.net/projects/hugin/files/autopano-sift-C/autopano-sift-C-%{version}/autopano-sift-C-%{version}.tar.gz
Patch0:		autopano-sift-C-2.5.1-link.patch
BuildRequires:  cmake
BuildRequires:  pano13-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  libxml2-devel

%description
This package provides an implementation of the SIFT algorithm and a set of
utilities to utilize the algorithm to match two or more images. As output, a
number of control points are created, which specify one and the same image
location in two images. The output is created as project file for the hugin
panorama stitching software, which is available at http://hugin.sf.net/

This package is in tainted because the SIFT alogorithm is patented.

%prep
%setup -q
%patch0 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build

%files
%doc LICENSE README README.1ST ChangeLog
%{_mandir}/man?/*
%{_bindir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.5.1-5.mga3
+ Revision: 346675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Dec 07 2012 guillomovitch <guillomovitch> 2.5.1-4.mga3.tainted
+ Revision: 327887
- switch group to Graphics/Other, as hugin

* Sat Dec 24 2011 fwang <fwang> 2.5.1-3.mga2.tainted
+ Revision: 187124
- fix linkage
- rebuild for new libtiff

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.5.1-2.mga2.tainted
+ Revision: 126811
- no more PLF reference in description
- drop useless obsoletes tag

* Mon Jul 18 2011 guillomovitch <guillomovitch> 2.5.1-1.mga2
+ Revision: 126036
- imported package autopano-sift-C

